ReflectionGenerator
ReflectionGenerator::getExecutingFile
ReflectionGenerator
PHP Manual

# ReflectionGenerator::__construct

(PHP 7)

ReflectionGenerator::__construct — Constructs a ReflectionGenerator object

### Description

public ReflectionGenerator::__construct ( Generator `$generator` )

Constructs a ReflectionGenerator object.

### Parameters

`generator`

  A generator object.

### Return Values

No value is returned.

### Examples

Example #1 ReflectionGenerator::__construct() example

`<?php
function gen()
{
yield 1;
}
$gen = gen();
$reflectionGen = new ReflectionGenerator($gen);
echo <<< output
{$reflectionGen->getFunction()->name}
Line: {$reflectionGen->getExecutingLine()}
File: {$reflectionGen->getExecutingFile()}
output;`

The above example will output something similar to:

    gen
    Line: 5
    File: /path/to/file/example.php

### See Also

- ReflectionGenerator::getFunction() - Gets the function name of the generator
- ReflectionGenerator::getExecutingLine() - Gets the currently executing line of the generator
- ReflectionGenerator::getExecutingFile() - Gets the file name of the currently executing generator

ReflectionGenerator
ReflectionGenerator::getExecutingFile
ReflectionGenerator
PHP Manual